Package weka.estimators

# Class CheckEstimator.EstTypes

java.lang.Object
weka.estimators.CheckEstimator.EstTypes

All Implemented Interfaces:
  `RevisionHandler`

Enclosing class:
  `CheckEstimator`

public static class CheckEstimator.EstTypes extends Object implements RevisionHandler
public class that contains info about the chosen attribute type estimator work on one attribute only

## Constructor Summary

Constructors
Constructor
Description
`EstTypes()`
Constructor
`EstTypes(boolean i, boolean w, boolean s)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EstTypes

public EstTypes()
Constructor

### EstTypes

public EstTypes(boolean i, boolean w, boolean s)
Constructor

## Method Details

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision